# Uses of Interface
org.eclipse.net4j.db.IDBDatabase

Packages that use IDBDatabase
Package
Description
org.eclipse.net4j.db
The Net4j DB framework.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.

## Uses of IDBDatabase in org.eclipse.net4j.db

Methods in org.eclipse.net4j.db that return IDBDatabase
Modifier and Type
Method
Description
`IDBDatabase`
IDBConnection.`getDatabase()`
`IDBDatabase`
IDBSchemaTransaction.`getDatabase()`
`IDBDatabase`
IDBDatabase.SchemaChangedEvent.`getSource()`
`static IDBDatabase`
DBUtil.`openDatabase(IDBAdapter adapter, IDBConnectionProvider connectionProvider, String schemaName)`
`static IDBDatabase`
DBUtil.`openDatabase(IDBAdapter adapter, IDBConnectionProvider connectionProvider, String schemaName, boolean fixNullableIndexColumns)`
`static IDBDatabase`
DBUtil.`openDatabase(IDBAdapter adapter, IDBConnectionProvider connectionProvider, String schemaName, boolean fixNullableIndexColumns, boolean qualifiedTableNames)`
Methods in org.eclipse.net4j.db with parameters of type IDBDatabase
Modifier and Type
Method
Description
`IDBSchemaTransaction`
IDBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`
Opens a schema transaction through the adapter extension point.

## Uses of IDBDatabase in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db with parameters of type IDBDatabase
Modifier and Type
Method
Description
`IDBSchemaTransaction`
DBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`
`IDBSchemaTransaction`
DelegatingDBAdapter.`openSchemaTransaction(IDBDatabase database, IDBConnection currentConnection)`